<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html
 PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <!-- Ignored at this stage -->
  </head>
  <body>
    <div id="display-page" class="mainbody">
      <dcc.Interval id="interval-component-run-display"    interval="int:2000" n_intervals="int:0" />
      <dcc.Interval id="interval-component-status-display" interval="int:1000" n_intervals="int:0" />

      <dcc.Store id="display-status" storage_type="session" />
      <dcc.Store id="lviv-data-display" storage_type="memory" />
      <dcc.Store id="dac-data-display" storage_type="memory" />
      <dcc.Store id="dcdc-data-display" storage_type="memory" />
      <dcc.Store id="hvrt-data-display" storage_type="memory" />
      <dcc.Store id="amsl-data-display" storage_type="memory" />
      <dcc.Store id="tio-data-display" storage_type="memory" />

      <dcc.Store id="panel-dbresult-display" storage_type="memory" />

      <dcc.Tabs id="tabsDisplay" value="0">
	{% for panel in panels %}
        <dcc.Tab id="tabDisplay-{{loop.index0}}" label="{{panel}}" value="{{loop.index0}}"/>
	{% endfor %}
      </dcc.Tabs>
      <h1 id="ATLAS-title-display">ATLAS Powerboard Testing Results</h1>

      <div id="panel-div-display">
        <div id="control-display">
          <!-- Panel information -->
          <div id="panel-information-display">
            <div style="padding-bottom: 20px; padding-top: 20px">
              <dcc.Input id="panel-number-display" value="" placeholder="Panel number"/>
              <button id="panel-populate-button-display">Auto Fill</button>
            </div>

            <div id="auto-fill-msg-display"/>

            <ul id="version-input-display">
              <li><dcc.Input id="version-display" placeholder="Powerboard Version Number" /></li>
              <li><dcc.Input id="batch-display" placeholder="Powerboard Batch Number" /></li>
            </ul>

            <ul id="serial-input-display">
              {% for pb in [0,1,2,3,4,5,6,7,8,9] %}
              <li class="pb-serial-display">
                <dcc.Checklist id="pb-{{pb}}-display" />
                <dcc.Input id="serial-{{pb}}-display" placeholder="PB{{pb}} Serial Number"/>
              </li>
              {% endfor %}
            </ul>

            <div style="padding-bottom: 5px; padding-top: 20px; text-align: center">
              <button id="panel-upload-test-result-button-display">Upload Test Results</button>
            </div>

            <div id="upload-test-msg-display"/>
            <div id="upload-status-msg-display"/>


            <div style="padding-bottom: 5px; padding-top: 20px; text-align: center">
              <button id="panel-transition-button-display">Panel Stage Transition To:</button>
              <dcc.Dropdown id="transition-dropdown-display" />
              <dcc.Checklist id="force-transition-display" />
            </div>

            <div id="panel-transition-msg-display"/>
            <div id="transition-status-msg-display"/>

          </div>

          <!-- Debug mode options along with test run/stop buttons -->
          <div id="run-information-display">
  
            <h3>Jump to:</h3>
            <ul>
              <li><a href="#basic-results-display">Basic Functionality</a></li>
              <li><a href="#gen-results-display">Generic Tests</a></li>
	      <li><a href="#dac-results-display">DAC Tests</a></li>
	      <li><a href="#lv-results-display">DC/DC Tests</a></li>
	      <li><a href="#hv-results-display">HV Tests</a></li>
              <li><a href="#terminal-display">Terminal</a></li>
            </ul>

          <div class="center">
            <button id="display-test-result-button">Display Test Result</button>
            <dcc.Dropdown id="display-label-dropdown" placeholder="Select a result tag"/>
            <dcc.Input id="display-label-custom" value="" placeholder="Or enter a custom tag"/>
          </div>

            <div id="display-test-result-msg"/>

          </div>
          
        </div>

        <!-- Basic functionality tables -->
        <div id="basic-results-display" class="test-results">
          <h2 class="test-header">Basic Functionality Tests</h2>
          <div class="table-group">
            <dash_table.DashTable id="LVEn-table-display" />
            <dash_table.DashTable id="tio-table-1-display" />
            <dash_table.DashTable id="tio-table-2-display" />
	    <dash_table.DashTable id="temp-table-display" />
	    <dash_table.DashTable id="dcdcadj-table-display" />
          </div>
        </div>

	<!-- ADVANCED TESTS -->

        <!-- AMAC Tests -->
        <div id="gen-results-display" class="test-results">
          <h2 class="test-header">General Tests</h2>
          <div class="graph-group">
            <dcc.Graph id="lviv-graph-display" />	    
            <dcc.Graph id="amsl-graph-display" />
          </div>
        </div>

	<!-- DAC Ramps -->
        <div id="dac-results-display" class="test-results">
          <h2 class="test-header">DAC Ramps</h2>
          <div class="graph-group">
            <dcc.Graph id="shuntx-graph-display" />
	    <dcc.Graph id="shunty-graph-display" />
	    <dcc.Graph id="calx-graph-display" />
	    <dcc.Graph id="caly-graph-display" />
          </div>
        </div>

        <!-- Low Voltage Tests -->
        <div id="lv-results-display" class="test-results">
          <h2 class="test-header">DC/DC Tests</h2>
          <div class="graph-group">
            <dcc.Graph id="eff-graph-display" />
	    <dcc.Graph id="temp-graph-display" />
            <dash_table.DashTable id="eff-table-display" />
            <dcc.Graph id="icur-graph-display" />
            <dcc.Graph id="ocur-graph-display" />
          </div>
        </div>
	
        <!-- HV Tests -->
        <div id="hv-results-display" class="test-results">
          <h2 class="test-header">High Voltage Tests</h2>
          <div class="graph-group">
            <dcc.Graph id="gain0-graph-display" />
            <dcc.Graph id="gain1-graph-display" />
            <dcc.Graph id="gain2-graph-display" />
            <dcc.Graph id="gain4-graph-display" />
          </div>
        </div>
    	
        <!-- Terminal output -->
        <div id="terminal-display" class="test-results">
          <h2 class="test-header">Terminal Output</h2>
          <pre id="display-test-display"/>
        </div>
      </div>
    </div>
  </body>
</html>
